Bug 809100 - lots of warnings when trying to run valac
lots of warnings when trying to run valac
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vala (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 09:37 EDT by Christophe Fergeau
Modified: 2012-04-14 00:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: vala-0.16.0-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-14 00:37:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christophe Fergeau 2012-04-02 09:37:12 EDT
When running valac, lots of warnings get displayed, the binary seems to have references to paths in the buildroot

$ valac
No source file specified.
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/compiler/valacompiler.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeelementaccess.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodewriter.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodewhilestatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodevariabledeclarator.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeunaryexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodetypedefinition.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeswitchstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodestruct.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodestatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodereturnstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeparenthesizedexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeparameter.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeoncesection.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodenode.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodenewline.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodemodifiers.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodememberaccess.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodemacroreplacement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodelinedirective.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodelabel.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeinvalidexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeinitializerlist.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeincludedirective.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeifstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeidentifier.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodegotostatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodefunctiondeclarator.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodefunctioncall.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodefunction.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodefragment.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeforstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodefile.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeexpressionstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeenumvalue.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeenum.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeemptystatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodedostatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodedeclarator.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodedeclaration.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodecontinuestatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeconstant.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeconditionalexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodecomment.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodecommaexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodecastexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodecasestatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodebreakstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeblock.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodebinaryexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/ccode/.libs/valaccodeassignment.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/gee/.libs/set.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/gee/.libs/mapiterator.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/gee/.libs/map.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/gee/.libs/list.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/gee/.libs/iterator.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/gee/.libs/iterable.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/gee/.libs/hashset.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/gee/.libs/hashmap.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/gee/.libs/collection.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/gee/.libs/arraylist.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valayieldstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valawhilestatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valavoidtype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valavariable.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valavaluetype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valausingdirective.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaunresolvedtype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaunresolvedsymbol.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaunlockstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaunaryexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valatypesymbol.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valatypeparameter.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valatypeofexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valatypecheck.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valatuple.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valatrystatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valatokentype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valathrowstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valatemplate.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valatargetvalue.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valasymbolresolver.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valasymbol.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaswitchstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaswitchsection.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaswitchlabel.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valasubroutine.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valastructvaluetype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valastruct.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valastringliteral.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valastatementlist.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valastatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valasourcereference.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valasourcelocation.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valasourcefile.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valasliceexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valasizeofexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valasignaltype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valasignal.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valasetliteral.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valasemanticanalyzer.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valascope.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valascanner.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valareturnstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valareport.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaregexliteral.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valareferencetype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valareferencetransferexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valarealliteral.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaproperty.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valapropertyaccessor.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaprofile.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valapostfixexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valapointertype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valapointerindirection.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaphifunction.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaparser.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaparameter.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaobjecttypesymbol.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaobjecttype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaobjectcreationexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valanulltype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valanullliteral.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valanamespace.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valanamedargument.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valamethodtype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valamethodcall.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valamethod.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valamemberinitializer.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valamemberaccess.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valamarkupreader.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valamapliteral.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaloop.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valalockstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valalockable.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valalocalvariable.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaliteral.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valalistliteral.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valalambdaexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valainvalidtype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valainterfacetype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valainterface.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaintegertype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaintegerliteral.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valainitializerlist.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaifstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valagenietokentype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valageniescanner.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valagenieparser.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valagenerictype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valagirparser.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaforstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaforeachstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaflowanalyzer.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valafloatingtype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valafieldprototype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valafield.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaexpressionstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaerrortype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaerrordomain.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaerrorcode.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaenumvaluetype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaenumvalue.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaenum.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaemptystatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaelementaccess.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valadynamicsignal.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valadynamicproperty.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valadynamicmethod.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valadostatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valadestructor.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valadeletestatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valadelegatetype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valadelegate.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valadeclarationstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valadatatype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valacreationmethod.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valacontinuestatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaconstructor.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaconstant.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaconditionalexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valagircomment.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valacomment.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valacodewriter.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valacodevisitor.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valacodenode.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valacodegenerator.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valacodecontext.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaclasstype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaclass.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valacharacterliteral.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valacatchclause.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valacastexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valabreakstatement.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valabooleantype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valabooleanliteral.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valablock.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valabinaryexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valabasicblock.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valabaseaccess.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaattribute.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaassignment.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaarraytype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaarrayresizemethod.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaarraymovemethod.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaarraylengthfield.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaarraycreationexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/vala/.libs/valaaddressofexpression.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valatyperegisterfunction.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valastructregisterfunction.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valainterfaceregisterfunction.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valagvariantmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valagtypemodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valagsignalmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valagobjectmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valagirwriter.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valagerrormodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valagdbusservermodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valagdbusmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valagdbusclientmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valagasyncmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valaenumregisterfunction.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valadovavaluemodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valadovastructmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valadovaobjectmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valadovamethodmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valadovamethodcallmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valadovamemberaccessmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valadovaerrormodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valadovadelegatemodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valadovacontrolflowmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valadovabasemodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valadovaassignmentmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valadovaarraymodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valactype.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valaclassregisterfunction.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valaccodestructmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valaccodemethodmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valaccodemethodcallmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valaccodememberaccessmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valaccodedelegatemodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valaccodecontrolflowmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valaccodecompiler.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valaccodebasemodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valaccodeattribute.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valaccodeassignmentmodule.gcda:Skip
profiling:/builddir:Cannot create directory
profiling:/builddir/build/BUILD/vala-0.15.2/codegen/.libs/valaccodearraymodule.gcda:Skip
Comment 1 Edward Sheldrake 2012-04-05 13:40:56 EDT
And if the directory where vala was built does exist and is writeable, all those directories and .gcda files will be created.
Comment 2 Edward Sheldrake 2012-04-05 15:00:00 EDT
This can be fixed by not passing --enable-coverage to vala's configure script. I don't think you lose much by removing it, it appears to be related to doing coverage analysis with gcov on vala's own source code.
Comment 3 Michel Alexandre Salim 2012-04-06 00:09:34 EDT
Will be removed in the next build; there's currently a glitch with Koji's f17 target (with mismatched ImageMagick and emacs versions) but the fix will hit Rawhide in the next few minutes, and F17 once the Koji issue is resolved.
Comment 4 Fedora Update System 2012-04-07 01:42:32 EDT
vala-0.16.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-5390/vala-0.16.0-3.fc17
Comment 5 Fedora Update System 2012-04-08 12:22:10 EDT
Package vala-0.16.0-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vala-0.16.0-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5390/vala-0.16.0-3.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-04-14 00:37:08 EDT
vala-0.16.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.